{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'lab4_index_style.css' %}">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300&display=swap" rel="stylesheet">
    <title>Note</title>
</head>

<h1>
    <ul>
        <li><a href="http://127.0.0.1:8000/lab-4/">Home</a></li>
        <li><a href="http://127.0.0.1:8000/lab-4/add_note">Add</a></li>
        <li><a href="http://127.0.0.1:8000/lab-4/note_list">List</a></li>
    </ul>
</h1>

<body>
    <header>
        <b>NOTES</b>
    </header>
    <div class="container" style="overflow-x:auto;">
        <table>
            <tr>
                <th>To</th>
                <th>From</th>
                <th>Title</th>
                <th>Message</th>
            </tr>

            {% if notes %}
            {% for a in notes %}
            <tr>
                <td> {{ a.to }} </td>
                <td> {{ a.from_user }} </td>
                <td> {{ a.title }} </td>
                <td> {{ a.message }} </td>
            </tr>
            {% endfor %}
            {% endif %}

        </table>
    </div>

</body>
</div>

</html>